## kodi-pvr-vbox 19.0.0%2Bds1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(pvr.vbox)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})

find_package(Kodi REQUIRED)

include_directories(${KODI_INCLUDE_DIR}/.. # Hack way with "/..", need bigger Kodi cmake rework to match right include ways
                    ${PROJECT_SOURCE_DIR})

# Sources and headers
set(VBOX_SOURCES
                src/addon.h
                src/addon.cpp
                src/VBoxInstance.h
                src/VBoxInstance.cpp)

set(VBOX_SOURCES_VBOX
                src/vbox/CategoryGenreMapper.h
                src/vbox/CategoryGenreMapper.cpp
                src/vbox/Channel.h
                src/vbox/ChannelStreamingStatus.h
                src/vbox/ChannelStreamingStatus.cpp
                src/vbox/ContentIdentifier.h
                src/vbox/Exceptions.h
                src/vbox/GuideChannelMapper.h
                src/vbox/GuideChannelMapper.cpp
                src/vbox/Recording.h
                src/vbox/Recording.cpp
                src/vbox/RecordingReader.cpp
                src/vbox/RecordingReader.h
                src/vbox/SeriesRecording.h
                src/vbox/SeriesRecording.cpp
                src/vbox/Settings.h
                src/vbox/SoftwareVersion.h
                src/vbox/SoftwareVersion.cpp
                src/vbox/StartupStateHandler.h
                src/vbox/StartupStateHandler.cpp
                src/vbox/Utilities.h
                src/vbox/VBox.h
                src/vbox/VBox.cpp)

set(VBOX_SOURCES_VBOX_REQUEST
                src/vbox/request/ApiRequest.h
                src/vbox/request/ApiRequest.cpp
                src/vbox/request/FileRequest.h
                src/vbox/request/Request.h)

set(VBOX_SOURCES_VBOX_RESPONSE
                src/vbox/response/Content.h
                src/vbox/response/Content.cpp
                src/vbox/response/Factory.h
                src/vbox/response/Response.h
                src/vbox/response/Response.cpp)

set(VBOX_SOURCES_TIMESHIFT
                src/timeshift/Buffer.h
                src/timeshift/Buffer.cpp
                src/timeshift/DummyBuffer.h
                src/timeshift/FilesystemBuffer.h
                src/timeshift/FilesystemBuffer.cpp)

set(VBOX_SOURCES_XMLTV
                src/xmltv/Channel.h
                src/xmltv/Channel.cpp
                src/xmltv/Guide.h
                src/xmltv/Guide.cpp
                src/xmltv/Programme.h
                src/xmltv/Programme.cpp
                src/xmltv/Schedule.h
                src/xmltv/Schedule.cpp
                src/xmltv/Utilities.h
                src/xmltv/Utilities.cpp)

source_group("Source Files" FILES ${VBOX_SOURCES})
source_group("Source Files\\vbox" FILES ${VBOX_SOURCES_VBOX})
source_group("Source Files\\vbox\\request" FILES ${VBOX_SOURCES_VBOX_REQUEST})
source_group("Source Files\\vbox\\response" FILES ${VBOX_SOURCES_VBOX_RESPONSE})
source_group("Source Files\\timeshift" FILES ${VBOX_SOURCES_TIMESHIFT})
source_group("Source Files\\xmltv" FILES ${VBOX_SOURCES_XMLTV})

# Library files
set(VBOX_LIBRARIES_TINYXML2
                lib/tinyxml2/tinyxml2.h
                lib/tinyxml2/tinyxml2.cpp)

source_group("Library Files\\tinyxml2" FILES ${VBOX_LIBRARIES_TINYXML2})

# Resource files
set(VBOX_RESOURCES
                README.md
                pvr.vbox/addon.xml.in
                pvr.vbox/changelog.txt
                pvr.vbox/icon.png
                pvr.vbox/resources/settings.xml
                pvr.vbox/resources/category_to_genre_types.xml
                pvr.vbox/resources/language/resource.language.en_gb/strings.po)

source_group("Resource Files" FILES ${VBOX_RESOURCES})

# Append our custom file definitions
list(APPEND VBOX_SOURCES
                ${VBOX_SOURCES_VBOX}
                ${VBOX_SOURCES_VBOX_REQUEST}
                ${VBOX_SOURCES_VBOX_RESPONSE}
                ${VBOX_SOURCES_TIMESHIFT}
                ${VBOX_SOURCES_XMLTV}
                ${VBOX_RESOURCES}
                ${VBOX_LIBRARIES_TINYXML2})

build_addon(pvr.vbox VBOX DEPLIBS)

include(CPack)

## kodi-pvr-vbox 8.1.0+ds1

=== debian/changelog ===
kodi-pvr-vbox (8.1.0+ds1-2) unstable; urgency=medium

  * Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 20 Jan 2021 06:24:05 +0000

kodi-pvr-vbox (8.1.0+ds1-1) unstable; urgency=medium

  * Initial upload

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 16 Jan 2021 06:56:51 +0000

=== debian/control ===
Source: kodi-pvr-vbox
Priority: optional
Section: video
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Vasyl Gello <vasek.gello@gmail.com>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Arch: cmake,
                    dh-sequence-kodiaddon,
                    kodi-addons-dev (>= 2:19~),
                    libtinyxml2-dev
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-vbox
Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-vbox.git
Homepage: https://kodi.tv

Package: kodi-pvr-vbox
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${kodi:PVRAPI}
Description: VBox Home TV Gateway addon for Kodi
 This package contains the VBox Home TV Gateway PVR (Personal Video
 Recorder) addon for Kodi, the award winning free and open source software
 media-player and entertainment hub for all your digital media.
 .
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to Kodi, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/kodi-pvr/pvr.vbox/releases \
/kodi-pvr/pvr.vbox/archive/?(\d\S*)-[A-Z].*\.tar\.gz

## kodi-pvr-vbox 19.0.0+ds1

=== debian/changelog ===
kodi-pvr-vbox (19.0.0+ds1-1) unstable; urgency=medium

  * New upstream version 19.0.0+ds1
  * Bump standard version
  * Disable LTO to make build reproducible

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 13 Oct 2021 22:14:16 +0000

kodi-pvr-vbox (8.1.2+ds1-1) unstable; urgency=medium

  * New upstream version 8.1.2+ds1
  * Fix github ref
  * Restrict watchfile to current stable Kodi codename

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 15 Aug 2021 21:33:33 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                     dh-sequence-kodiaddon,
                     kodi-addons-dev (>= 2:19~),
                     libtinyxml2-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-vbox
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-vbox.git

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/kodi-pvr/pvr.vbox/releases \
/kodi-pvr/pvr.vbox/archive/refs/tags/?(\d\S*)-Matrix\.tar\.gz

## kodi-pvr-vbox 20.2.0+ds1

=== debian/changelog ===
kodi-pvr-vbox (20.2.0+ds1-1) unstable; urgency=medium

  * New upstream version 20.2.0+ds1
  * Prepare for v20 in unstable

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 04 Aug 2022 09:54:15 +0000

kodi-pvr-vbox (19.0.0+ds1-2) unstable; urgency=medium

  * Modernize package

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 21 Mar 2022 17:48:03 +0000

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/kodi-pvr/pvr.vbox/releases \
/kodi-pvr/pvr.vbox/archive/refs/tags/?(\d\S*)-Nexus\.tar\.gz

## kodi-pvr-vbox 20.3.0%2Bds1

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,9 @@
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Arch: cmake,
-                    dh-sequence-kodiaddon,
-                    kodi-addons-dev (>= 2:19~),
+                    dh-sequence-kodiaddon (>= 2:20~),
                     libtinyxml2-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-vbox
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-vbox.git

## kodi-pvr-vbox 20.3.0+ds1

=== debian/changelog ===
kodi-pvr-vbox (20.3.0+ds1-1) unstable; urgency=medium

  * New upstream version 20.3.0+ds1
  * Fix lintian warnings
  * d/watch: switch to git tags

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 15 Oct 2022 16:54:02 +0000

=== debian/watch ===
version=4

# Release git tags
# TODO: Change Kodi codename in refs/tags before packaging next Kodi major release

opts="mode=git, \
      pgpmode=none, \
      repack, \
      repacksuffix=+ds1, \
      compression=xz, \
      dversionmangle=auto" \
https://github.com/kodi-pvr/pvr.vbox \
refs/tags/@ANY_VERSION@-Nexus \
debian

## kodi-pvr-vbox 20.4.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,9 +4,13 @@
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})
 
 find_package(Kodi REQUIRED)
+find_package(TinyXML2 REQUIRED)
 
 include_directories(${KODI_INCLUDE_DIR}/.. # Hack way with "/..", need bigger Kodi cmake rework to match right include ways
+                    ${TINYXML2_INCLUDE_DIRS}
                     ${PROJECT_SOURCE_DIR})
+
+set(DEPLIBS ${TINYXML2_LIBRARIES})
 
 # Sources and headers
 set(VBOX_SOURCES
@@ -16,6 +20,8 @@
                 src/VBoxInstance.cpp)
 
 set(VBOX_SOURCES_VBOX
+                src/vbox/AddonSettings.h
+                src/vbox/AddonSettings.cpp
                 src/vbox/CategoryGenreMapper.h
                 src/vbox/CategoryGenreMapper.cpp
                 src/vbox/Channel.h
@@ -25,13 +31,16 @@
                 src/vbox/Exceptions.h
                 src/vbox/GuideChannelMapper.h
                 src/vbox/GuideChannelMapper.cpp
+                src/vbox/InstanceSettings.h
+                src/vbox/InstanceSettings.cpp
                 src/vbox/Recording.h
                 src/vbox/Recording.cpp
                 src/vbox/RecordingReader.cpp
                 src/vbox/RecordingReader.h
                 src/vbox/SeriesRecording.h
                 src/vbox/SeriesRecording.cpp
-                src/vbox/Settings.h
+                src/vbox/SettingsMigration.h
+                src/vbox/SettingsMigration.cpp
                 src/vbox/SoftwareVersion.h
                 src/vbox/SoftwareVersion.cpp
                 src/vbox/StartupStateHandler.h
@@ -79,13 +88,6 @@
 source_group("Source Files\\timeshift" FILES ${VBOX_SOURCES_TIMESHIFT})
 source_group("Source Files\\xmltv" FILES ${VBOX_SOURCES_XMLTV})
 
-# Library files
-set(VBOX_LIBRARIES_TINYXML2
-                lib/tinyxml2/tinyxml2.h
-                lib/tinyxml2/tinyxml2.cpp)
-
-source_group("Library Files\\tinyxml2" FILES ${VBOX_LIBRARIES_TINYXML2})
-
 # Resource files
 set(VBOX_RESOURCES
                 README.md
@@ -105,8 +107,7 @@
                 ${VBOX_SOURCES_VBOX_RESPONSE}
                 ${VBOX_SOURCES_TIMESHIFT}
                 ${VBOX_SOURCES_XMLTV}
-                ${VBOX_RESOURCES}
-                ${VBOX_LIBRARIES_TINYXML2})
+                ${VBOX_RESOURCES})
 
 build_addon(pvr.vbox VBOX DEPLIBS)

=== debian/changelog ===
kodi-pvr-vbox (20.4.2-1) unstable; urgency=medium

  * New upstream version 20.4.2

  [ Debian Janitor ]
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete field Contact from debian/upstream/metadata (already present in machine-readable debian/copyright).

  [ Vasyl Gello ]
  * Bmp copyright years
  * d/watch: Fix repack suffix
  * d/gbp.conf: Fix debian and upstream branches
  * Drop patches merged upstream

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 04 Feb 2024 08:40:54 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends-Arch: cmake,
                     dh-sequence-kodiaddon (>= 2:20~),
                     libtinyxml2-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-vbox
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-vbox.git

=== debian/watch ===
--- 
+++ 
@@ -6,7 +6,7 @@
 opts="mode=git, \
       pgpmode=none, \
       repack, \
-      repacksuffix=+ds1, \
+      repacksuffix=+ds, \
       compression=xz, \
       dversionmangle=auto" \
 https://github.com/kodi-pvr/pvr.vbox \

## kodi-pvr-vbox 21.1.4

=== debian/changelog ===
kodi-pvr-vbox (21.1.4-2) unstable; urgency=critical

  * Mass fix: d/watch: Allow multiple addon suites to be checked

 -- Vasyl Gello <vasek.gello@gmail.com>  Tue, 20 Aug 2024 12:14:20 +0000

kodi-pvr-vbox (21.1.4-1) unstable; urgency=medium

  * New upstream version 21.1.4

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 09 Aug 2024 07:57:44 +0000

kodi-pvr-vbox (21.1.2-1) experimental; urgency=medium

  * New upstream version 21.1.2
  * Branch out experimental
  * Modernize package
  * New release 20.2.0+ds1-1
  * Finalize changelog
  * d/gbp.conf: Fix debian and upstream branches
  * Import Debian packaging from debian/sid
  * Prepare for v21 "Omega"
  * Bump copyright years
  * d/control: Ensure Vcs-Git points to correct branch

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 09 Mar 2024 15:10:39 +0000

## kodi-pvr-vbox 21.1.5

=== debian/changelog ===
kodi-pvr-vbox (21.1.5-1build1) questing; urgency=medium

  * No-change rebuild for libtinyxml2-11.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 03 May 2025 16:22:25 +0000

kodi-pvr-vbox (21.1.5-1) unstable; urgency=high

  * New upstream version 21.1.5
  * d/copyright: Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 27 Jan 2025 08:46:28 +0000

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Arch: cmake,
-                    dh-sequence-kodiaddon (>= 2:20~),
+                    dh-sequence-kodiaddon (>= 2:21~),
                     libtinyxml2-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-vbox
-Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-vbox.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-vbox.git -b debian/sid
 Homepage: https://kodi.tv
 
 Package: kodi-pvr-vbox
